<!-- #include file="../../../../lib/site_lib.asp" -->
<!-- #include file="../../../../header_popup.asp" -->

<!-- SECTION_START:Overview -->
<h3>FAQ Help</h3>

<p>
The Frequently Asked Questions module allows you to maintain a list
of comment questions that area asked on your site. Whether they are
asked on the discussion forums, through article comments or poll
comments doesn't matter.  The purpose is to collect all of the common
questions into organized documents so your readers can easily find
answers to their questions.
</p>

<p>
It is common on the Internet to abbreviate this feature FAQ and you
will see this used throughout the site.
</p>

<p>
You are not limited to creating a single FAQ document.  You can create
multiple documents each with an introduction, summary and an entire
set of questions.  You can order the FAQ documents however you like and
also order the FAQ questions to suit your needs.
</p>

<!-- SECTION_END:Overview -->

<!-- SECTION_START:Document -->

<h3>FAQ Document Help</h3>

<p>
The FAQ document administration allows you to define the documents,
each of which contains a set of questions.  Define as many documents
as you need by adding them one-by-one.
</p>

<p>
You may edit the FAQ document at any time, even after questions have
been added to the document.  Making changes to the document will not have
any effect on the questions.  Of course any changes to the Introduction
or Epilogue will change the content of the entire document.
</p>

<p>
Be careful about deleting documents.  When you do this, any questions
that are associated with a FAQ document will be deleted as well.  The
deletion of a document (and it's questions) is permanent and cannot be
undone.
</p>

<h4>FAQ Document Properties</h4>

<p>
<table border=0 cellpadding=4 cellspacing=0 class="list">
<tr>
	<Td class="listhead">Input Label</td>
	<td class="listhead">Description</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>Title</td>
	<td class="formd">Title or main heading for the document</td>
</tr>
<tr class="list1">
	<Td class="forml" valign="top" nowrap>Author Name</td>
	<td class="formd">Name of the person who created and is maintaining the document</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>From E-Mail</td>
	<td class="formd">Indicate the e-mail address for the author (to allow visitors to submit further questions or request for clarification)</td>
</tr>
<tr class="list1">
	<Td class="forml" valign="top" nowrap>Synopsis</td>
	<td class="formd">Write a short synopsis (one or two sentences) to provide a quick summary of the contents of the FAQ document</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>Introduction</td>
	<td class="formd">A couple of paragraphs giving an introduction to the use and purpose of the FAQ</td>
</tr>
<tr class="list1">
	<Td class="forml" valign="top" nowrap>Epilogue</td>
	<td class="formd">Include any closing statements or instructions on where to find additional help (e-mail the author for instance)</td>
</tr>
</table>
</p>

<!-- SECTION_END:Document -->

<!-- SECTION_START:Questions -->

<h3>FAQ Questions Help</h3>

<p>
The FAQ Questions are the heart of the Frequently Asked Questions module.
They contain all of the common questions asked by visitors to your ASP Nuke
site.  Questions are grouped together by documents and you must indicate
the document you want to work with before you start editting the questions.
</p>

<p>
I like to organize my questions so that the most commonly asked questions
appear at the top of the list.  You can always add the questions first and
reorder them later using the <i>up</i> and <i>down</i> links in the question
list.  You may also want to put the novice (beginner) questions at the top
of the list to help newcomers.
</p>

<h4>FAQ Question Properties</h4>

<p>
<table border=0 cellpadding=4 cellspacing=0 class="list">
<tr>
	<Td class="listhead">Input Label</td>
	<td class="listhead">Description</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>Question</td>
	<td class="formd">Enter the question that is commonly asked.  In some cases, it makes more sense to make it more of a statement then a question (but its best to avoid this)</td>
</tr>
<tr class="list1">
	<Td class="forml" valign="top" nowrap>Answer</td>
	<td class="formd">Enter the answer to the question.  Typing a carriage return creates a line break and two carriage returns will make a paragraph break.</td>
</tr>
</table>
</p>

<!-- SECTION_END:Questions -->

<!-- SECTION_START:Author -->

<h3>FAQ Author Help</h3>

<p>
The FAQ authors allow you to define the authors who write and
maintain the Frequently Asked Questions.  The authors you define
in this area determine the authors you can choose from when you
go in to add or edit a FAQ document.
</p>

<p>
The list of authors are sorted alphabetically by last name.  If
you like, you can create special cases of authors that don't
necessarily denote a single person. For instance, you can create
an author with the name "Anonymous Contributor" to indicate the
person wishes to remain anonymous or "Various
</p>

<h4>FAQ Author Properties</h4>

<p>
<table border=0 cellpadding=4 cellspacing=0 class="list">
<tr>
	<Td class="listhead">Input Label</td>
	<td class="listhead">Description</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>Title</td>
	<td class="formd">Prefix or honarary title which should precede the name</td>
</tr>
<tr class="list1">
	<Td class="forml" valign="top" nowrap>First Name</td>
	<td class="formd">The first name for the FAQ document author</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>Middle Name</td>
	<td class="formd">Middle name or initial for the author (not required)</td>
</tr>
<tr class="list1">
	<Td class="forml" valign="top" nowrap>Last Name</td>
	<td class="formd">Last name for the author</td>
</tr>
<tr class="list0">
	<Td class="forml" valign="top" nowrap>E-Mail</td>
	<td class="formd">E-mail address for the author</td>
</tr>
</table>
</p>

<!-- SECTION_END:Author -->

<!-- #include file="../../../../footer_popup.asp" -->